Package org.apache.xmlbeans.impl.xb.xsdschema.impl

## Class RestrictionDocumentImpl.RestrictionImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.xsdschema.impl.OpenAttrsImpl
      - - org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl
        - - org.apache.xmlbeans.impl.xb.xsdschema.impl.RestrictionDocumentImpl.RestrictionImpl

- All Implemented Interfaces:
    `Serializable`, `TypeStoreUser`, `Annotated`, `OpenAttrs`, `RestrictionDocument.Restriction`, `SimpleValue`, `XmlObject`, `XmlTokenSource`
  Enclosing class:
    RestrictionDocumentImpl

      public static class RestrictionDocumentImpl.RestrictionImpl
      extends AnnotatedImpl
      implements RestrictionDocument.Restriction

  An XML restriction(@http://www.w3.org/2001/XMLSchema). This is a complex type.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.OpenAttrs

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.RestrictionDocument.Restriction

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, Factory, GREATER_THAN, LESS_THAN, NOT_EQUAL, type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RestrictionImpl​(SchemaType sType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `NoFixedFacet` | `addNewEnumeration()` | Appends and returns a new empty value (as xml) as the last "enumeration" element
    `NumFacet` | `addNewFractionDigits()` | Appends and returns a new empty value (as xml) as the last "fractionDigits" element
    `NumFacet` | `addNewLength()` | Appends and returns a new empty value (as xml) as the last "length" element
    `Facet` | `addNewMaxExclusive()` | Appends and returns a new empty value (as xml) as the last "maxExclusive" element
    `Facet` | `addNewMaxInclusive()` | Appends and returns a new empty value (as xml) as the last "maxInclusive" element
    `NumFacet` | `addNewMaxLength()` | Appends and returns a new empty value (as xml) as the last "maxLength" element
    `Facet` | `addNewMinExclusive()` | Appends and returns a new empty value (as xml) as the last "minExclusive" element
    `Facet` | `addNewMinInclusive()` | Appends and returns a new empty value (as xml) as the last "minInclusive" element
    `NumFacet` | `addNewMinLength()` | Appends and returns a new empty value (as xml) as the last "minLength" element
    `PatternDocument.Pattern` | `addNewPattern()` | Appends and returns a new empty value (as xml) as the last "pattern" element
    `LocalSimpleType` | `addNewSimpleType()` | Appends and returns a new empty "simpleType" element
    `TotalDigitsDocument.TotalDigits` | `addNewTotalDigits()` | Appends and returns a new empty value (as xml) as the last "totalDigits" element
    `WhiteSpaceDocument.WhiteSpace` | `addNewWhiteSpace()` | Appends and returns a new empty value (as xml) as the last "whiteSpace" element
    `QName` | `getBase()` | Gets the "base" attribute
    `NoFixedFacet[]` | `getEnumerationArray()` | Gets array of all "enumeration" elements
    `NoFixedFacet` | `getEnumerationArray​(int i)` | Gets ith "enumeration" element
    `List<NoFixedFacet>` | `getEnumerationList()` | Gets a List of "enumeration" elements
    `NumFacet[]` | `getFractionDigitsArray()` | Gets array of all "fractionDigits" elements
    `NumFacet` | `getFractionDigitsArray​(int i)` | Gets ith "fractionDigits" element
    `List<NumFacet>` | `getFractionDigitsList()` | Gets a List of "fractionDigits" elements
    `NumFacet[]` | `getLengthArray()` | Gets array of all "length" elements
    `NumFacet` | `getLengthArray​(int i)` | Gets ith "length" element
    `List<NumFacet>` | `getLengthList()` | Gets a List of "length" elements
    `Facet[]` | `getMaxExclusiveArray()` | Gets array of all "maxExclusive" elements
    `Facet` | `getMaxExclusiveArray​(int i)` | Gets ith "maxExclusive" element
    `List<Facet>` | `getMaxExclusiveList()` | Gets a List of "maxExclusive" elements
    `Facet[]` | `getMaxInclusiveArray()` | Gets array of all "maxInclusive" elements
    `Facet` | `getMaxInclusiveArray​(int i)` | Gets ith "maxInclusive" element
    `List<Facet>` | `getMaxInclusiveList()` | Gets a List of "maxInclusive" elements
    `NumFacet[]` | `getMaxLengthArray()` | Gets array of all "maxLength" elements
    `NumFacet` | `getMaxLengthArray​(int i)` | Gets ith "maxLength" element
    `List<NumFacet>` | `getMaxLengthList()` | Gets a List of "maxLength" elements
    `Facet[]` | `getMinExclusiveArray()` | Gets array of all "minExclusive" elements
    `Facet` | `getMinExclusiveArray​(int i)` | Gets ith "minExclusive" element
    `List<Facet>` | `getMinExclusiveList()` | Gets a List of "minExclusive" elements
    `Facet[]` | `getMinInclusiveArray()` | Gets array of all "minInclusive" elements
    `Facet` | `getMinInclusiveArray​(int i)` | Gets ith "minInclusive" element
    `List<Facet>` | `getMinInclusiveList()` | Gets a List of "minInclusive" elements
    `NumFacet[]` | `getMinLengthArray()` | Gets array of all "minLength" elements
    `NumFacet` | `getMinLengthArray​(int i)` | Gets ith "minLength" element
    `List<NumFacet>` | `getMinLengthList()` | Gets a List of "minLength" elements
    `PatternDocument.Pattern[]` | `getPatternArray()` | Gets array of all "pattern" elements
    `PatternDocument.Pattern` | `getPatternArray​(int i)` | Gets ith "pattern" element
    `List<PatternDocument.Pattern>` | `getPatternList()` | Gets a List of "pattern" elements
    `LocalSimpleType` | `getSimpleType()` | Gets the "simpleType" element
    `TotalDigitsDocument.TotalDigits[]` | `getTotalDigitsArray()` | Gets array of all "totalDigits" elements
    `TotalDigitsDocument.TotalDigits` | `getTotalDigitsArray​(int i)` | Gets ith "totalDigits" element
    `List<TotalDigitsDocument.TotalDigits>` | `getTotalDigitsList()` | Gets a List of "totalDigits" elements
    `WhiteSpaceDocument.WhiteSpace[]` | `getWhiteSpaceArray()` | Gets array of all "whiteSpace" elements
    `WhiteSpaceDocument.WhiteSpace` | `getWhiteSpaceArray​(int i)` | Gets ith "whiteSpace" element
    `List<WhiteSpaceDocument.WhiteSpace>` | `getWhiteSpaceList()` | Gets a List of "whiteSpace" elements
    `NoFixedFacet` | `insertNewEnumeration​(int i)` | Inserts and returns a new empty value (as xml) as the ith "enumeration" element
    `NumFacet` | `insertNewFractionDigits​(int i)` | Inserts and returns a new empty value (as xml) as the ith "fractionDigits" element
    `NumFacet` | `insertNewLength​(int i)` | Inserts and returns a new empty value (as xml) as the ith "length" element
    `Facet` | `insertNewMaxExclusive​(int i)` | Inserts and returns a new empty value (as xml) as the ith "maxExclusive" element
    `Facet` | `insertNewMaxInclusive​(int i)` | Inserts and returns a new empty value (as xml) as the ith "maxInclusive" element
    `NumFacet` | `insertNewMaxLength​(int i)` | Inserts and returns a new empty value (as xml) as the ith "maxLength" element
    `Facet` | `insertNewMinExclusive​(int i)` | Inserts and returns a new empty value (as xml) as the ith "minExclusive" element
    `Facet` | `insertNewMinInclusive​(int i)` | Inserts and returns a new empty value (as xml) as the ith "minInclusive" element
    `NumFacet` | `insertNewMinLength​(int i)` | Inserts and returns a new empty value (as xml) as the ith "minLength" element
    `PatternDocument.Pattern` | `insertNewPattern​(int i)` | Inserts and returns a new empty value (as xml) as the ith "pattern" element
    `TotalDigitsDocument.TotalDigits` | `insertNewTotalDigits​(int i)` | Inserts and returns a new empty value (as xml) as the ith "totalDigits" element
    `WhiteSpaceDocument.WhiteSpace` | `insertNewWhiteSpace​(int i)` | Inserts and returns a new empty value (as xml) as the ith "whiteSpace" element
    `boolean` | `isSetBase()` | True if has "base" attribute
    `boolean` | `isSetSimpleType()` | True if has "simpleType" element
    `void` | `removeEnumeration​(int i)` | Removes the ith "enumeration" element
    `void` | `removeFractionDigits​(int i)` | Removes the ith "fractionDigits" element
    `void` | `removeLength​(int i)` | Removes the ith "length" element
    `void` | `removeMaxExclusive​(int i)` | Removes the ith "maxExclusive" element
    `void` | `removeMaxInclusive​(int i)` | Removes the ith "maxInclusive" element
    `void` | `removeMaxLength​(int i)` | Removes the ith "maxLength" element
    `void` | `removeMinExclusive​(int i)` | Removes the ith "minExclusive" element
    `void` | `removeMinInclusive​(int i)` | Removes the ith "minInclusive" element
    `void` | `removeMinLength​(int i)` | Removes the ith "minLength" element
    `void` | `removePattern​(int i)` | Removes the ith "pattern" element
    `void` | `removeTotalDigits​(int i)` | Removes the ith "totalDigits" element
    `void` | `removeWhiteSpace​(int i)` | Removes the ith "whiteSpace" element
    `void` | `setBase​(QName base)` | Sets the "base" attribute
    `void` | `setEnumerationArray​(int i, NoFixedFacet enumeration)` | Sets ith "enumeration" element
    `void` | `setEnumerationArray​(NoFixedFacet[] enumerationArray)` | Sets array of all "enumeration" element WARNING: This method is not atomicaly synchronized.
    `void` | `setFractionDigitsArray​(int i, NumFacet fractionDigits)` | Sets ith "fractionDigits" element
    `void` | `setFractionDigitsArray​(NumFacet[] fractionDigitsArray)` | Sets array of all "fractionDigits" element WARNING: This method is not atomicaly synchronized.
    `void` | `setLengthArray​(int i, NumFacet length)` | Sets ith "length" element
    `void` | `setLengthArray​(NumFacet[] lengthArray)` | Sets array of all "length" element WARNING: This method is not atomicaly synchronized.
    `void` | `setMaxExclusiveArray​(int i, Facet maxExclusive)` | Sets ith "maxExclusive" element
    `void` | `setMaxExclusiveArray​(Facet[] maxExclusiveArray)` | Sets array of all "maxExclusive" element WARNING: This method is not atomicaly synchronized.
    `void` | `setMaxInclusiveArray​(int i, Facet maxInclusive)` | Sets ith "maxInclusive" element
    `void` | `setMaxInclusiveArray​(Facet[] maxInclusiveArray)` | Sets array of all "maxInclusive" element WARNING: This method is not atomicaly synchronized.
    `void` | `setMaxLengthArray​(int i, NumFacet maxLength)` | Sets ith "maxLength" element
    `void` | `setMaxLengthArray​(NumFacet[] maxLengthArray)` | Sets array of all "maxLength" element WARNING: This method is not atomicaly synchronized.
    `void` | `setMinExclusiveArray​(int i, Facet minExclusive)` | Sets ith "minExclusive" element
    `void` | `setMinExclusiveArray​(Facet[] minExclusiveArray)` | Sets array of all "minExclusive" element WARNING: This method is not atomicaly synchronized.
    `void` | `setMinInclusiveArray​(int i, Facet minInclusive)` | Sets ith "minInclusive" element
    `void` | `setMinInclusiveArray​(Facet[] minInclusiveArray)` | Sets array of all "minInclusive" element WARNING: This method is not atomicaly synchronized.
    `void` | `setMinLengthArray​(int i, NumFacet minLength)` | Sets ith "minLength" element
    `void` | `setMinLengthArray​(NumFacet[] minLengthArray)` | Sets array of all "minLength" element WARNING: This method is not atomicaly synchronized.
    `void` | `setPatternArray​(int i, PatternDocument.Pattern pattern)` | Sets ith "pattern" element
    `void` | `setPatternArray​(PatternDocument.Pattern[] patternArray)` | Sets array of all "pattern" element WARNING: This method is not atomicaly synchronized.
    `void` | `setSimpleType​(LocalSimpleType simpleType)` | Sets the "simpleType" element
    `void` | `setTotalDigitsArray​(int i, TotalDigitsDocument.TotalDigits totalDigits)` | Sets ith "totalDigits" element
    `void` | `setTotalDigitsArray​(TotalDigitsDocument.TotalDigits[] totalDigitsArray)` | Sets array of all "totalDigits" element WARNING: This method is not atomicaly synchronized.
    `void` | `setWhiteSpaceArray​(int i, WhiteSpaceDocument.WhiteSpace whiteSpace)` | Sets ith "whiteSpace" element
    `void` | `setWhiteSpaceArray​(WhiteSpaceDocument.WhiteSpace[] whiteSpaceArray)` | Sets array of all "whiteSpace" element WARNING: This method is not atomicaly synchronized.
    `int` | `sizeOfEnumerationArray()` | Returns number of "enumeration" element
    `int` | `sizeOfFractionDigitsArray()` | Returns number of "fractionDigits" element
    `int` | `sizeOfLengthArray()` | Returns number of "length" element
    `int` | `sizeOfMaxExclusiveArray()` | Returns number of "maxExclusive" element
    `int` | `sizeOfMaxInclusiveArray()` | Returns number of "maxInclusive" element
    `int` | `sizeOfMaxLengthArray()` | Returns number of "maxLength" element
    `int` | `sizeOfMinExclusiveArray()` | Returns number of "minExclusive" element
    `int` | `sizeOfMinInclusiveArray()` | Returns number of "minInclusive" element
    `int` | `sizeOfMinLengthArray()` | Returns number of "minLength" element
    `int` | `sizeOfPatternArray()` | Returns number of "pattern" element
    `int` | `sizeOfTotalDigitsArray()` | Returns number of "totalDigits" element
    `int` | `sizeOfWhiteSpaceArray()` | Returns number of "whiteSpace" element
    `void` | `unsetBase()` | Unsets the "base" attribute
    `void` | `unsetSimpleType()` | Unsets the "simpleType" element
    `XmlQName` | `xgetBase()` | Gets (as xml) the "base" attribute
    `void` | `xsetBase​(XmlQName base)` | Sets (as xml) the "base" attribute

    - ### Methods inherited from class org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate, validate, validate_now, validate_simpleval, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### RestrictionImpl

          public RestrictionImpl​(SchemaType sType)

  - ### Method Detail

    - #### getSimpleType

          public LocalSimpleType getSimpleType()

      Gets the "simpleType" element
      Specified by:
        `getSimpleType` in interface `RestrictionDocument.Restriction`

    - #### isSetSimpleType

          public boolean isSetSimpleType()

      True if has "simpleType" element
      Specified by:
        `isSetSimpleType` in interface `RestrictionDocument.Restriction`

    - #### setSimpleType

          public void setSimpleType​(LocalSimpleType simpleType)

      Sets the "simpleType" element
      Specified by:
        `setSimpleType` in interface `RestrictionDocument.Restriction`

    - #### addNewSimpleType

          public LocalSimpleType addNewSimpleType()

      Appends and returns a new empty "simpleType" element
      Specified by:
        `addNewSimpleType` in interface `RestrictionDocument.Restriction`

    - #### unsetSimpleType

          public void unsetSimpleType()

      Unsets the "simpleType" element
      Specified by:
        `unsetSimpleType` in interface `RestrictionDocument.Restriction`

    - #### getMinExclusiveList

          public List<Facet> getMinExclusiveList()

      Gets a List of "minExclusive" elements
      Specified by:
        `getMinExclusiveList` in interface `RestrictionDocument.Restriction`

    - #### getMinExclusiveArray

          public Facet[] getMinExclusiveArray()

      Gets array of all "minExclusive" elements
      Specified by:
        `getMinExclusiveArray` in interface `RestrictionDocument.Restriction`

    - #### getMinExclusiveArray

          public Facet getMinExclusiveArray​(int i)

      Gets ith "minExclusive" element
      Specified by:
        `getMinExclusiveArray` in interface `RestrictionDocument.Restriction`

    - #### sizeOfMinExclusiveArray

          public int sizeOfMinExclusiveArray()

      Returns number of "minExclusive" element
      Specified by:
        `sizeOfMinExclusiveArray` in interface `RestrictionDocument.Restriction`

    - #### setMinExclusiveArray

          public void setMinExclusiveArray​(Facet[] minExclusiveArray)

      Sets array of all "minExclusive" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setMinExclusiveArray` in interface `RestrictionDocument.Restriction`

    - #### setMinExclusiveArray

          public void setMinExclusiveArray​(int i,
                                           Facet minExclusive)

      Sets ith "minExclusive" element
      Specified by:
        `setMinExclusiveArray` in interface `RestrictionDocument.Restriction`

    - #### insertNewMinExclusive

          public Facet insertNewMinExclusive​(int i)

      Inserts and returns a new empty value (as xml) as the ith "minExclusive" element
      Specified by:
        `insertNewMinExclusive` in interface `RestrictionDocument.Restriction`

    - #### addNewMinExclusive

          public Facet addNewMinExclusive()

      Appends and returns a new empty value (as xml) as the last "minExclusive" element
      Specified by:
        `addNewMinExclusive` in interface `RestrictionDocument.Restriction`

    - #### removeMinExclusive

          public void removeMinExclusive​(int i)

      Removes the ith "minExclusive" element
      Specified by:
        `removeMinExclusive` in interface `RestrictionDocument.Restriction`

    - #### getMinInclusiveList

          public List<Facet> getMinInclusiveList()

      Gets a List of "minInclusive" elements
      Specified by:
        `getMinInclusiveList` in interface `RestrictionDocument.Restriction`

    - #### getMinInclusiveArray

          public Facet[] getMinInclusiveArray()

      Gets array of all "minInclusive" elements
      Specified by:
        `getMinInclusiveArray` in interface `RestrictionDocument.Restriction`

    - #### getMinInclusiveArray

          public Facet getMinInclusiveArray​(int i)

      Gets ith "minInclusive" element
      Specified by:
        `getMinInclusiveArray` in interface `RestrictionDocument.Restriction`

    - #### sizeOfMinInclusiveArray

          public int sizeOfMinInclusiveArray()

      Returns number of "minInclusive" element
      Specified by:
        `sizeOfMinInclusiveArray` in interface `RestrictionDocument.Restriction`

    - #### setMinInclusiveArray

          public void setMinInclusiveArray​(Facet[] minInclusiveArray)

      Sets array of all "minInclusive" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setMinInclusiveArray` in interface `RestrictionDocument.Restriction`

    - #### setMinInclusiveArray

          public void setMinInclusiveArray​(int i,
                                           Facet minInclusive)

      Sets ith "minInclusive" element
      Specified by:
        `setMinInclusiveArray` in interface `RestrictionDocument.Restriction`

    - #### insertNewMinInclusive

          public Facet insertNewMinInclusive​(int i)

      Inserts and returns a new empty value (as xml) as the ith "minInclusive" element
      Specified by:
        `insertNewMinInclusive` in interface `RestrictionDocument.Restriction`

    - #### addNewMinInclusive

          public Facet addNewMinInclusive()

      Appends and returns a new empty value (as xml) as the last "minInclusive" element
      Specified by:
        `addNewMinInclusive` in interface `RestrictionDocument.Restriction`

    - #### removeMinInclusive

          public void removeMinInclusive​(int i)

      Removes the ith "minInclusive" element
      Specified by:
        `removeMinInclusive` in interface `RestrictionDocument.Restriction`

    - #### getMaxExclusiveList

          public List<Facet> getMaxExclusiveList()

      Gets a List of "maxExclusive" elements
      Specified by:
        `getMaxExclusiveList` in interface `RestrictionDocument.Restriction`

    - #### getMaxExclusiveArray

          public Facet[] getMaxExclusiveArray()

      Gets array of all "maxExclusive" elements
      Specified by:
        `getMaxExclusiveArray` in interface `RestrictionDocument.Restriction`

    - #### getMaxExclusiveArray

          public Facet getMaxExclusiveArray​(int i)

      Gets ith "maxExclusive" element
      Specified by:
        `getMaxExclusiveArray` in interface `RestrictionDocument.Restriction`

    - #### sizeOfMaxExclusiveArray

          public int sizeOfMaxExclusiveArray()

      Returns number of "maxExclusive" element
      Specified by:
        `sizeOfMaxExclusiveArray` in interface `RestrictionDocument.Restriction`

    - #### setMaxExclusiveArray

          public void setMaxExclusiveArray​(Facet[] maxExclusiveArray)

      Sets array of all "maxExclusive" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setMaxExclusiveArray` in interface `RestrictionDocument.Restriction`

    - #### setMaxExclusiveArray

          public void setMaxExclusiveArray​(int i,
                                           Facet maxExclusive)

      Sets ith "maxExclusive" element
      Specified by:
        `setMaxExclusiveArray` in interface `RestrictionDocument.Restriction`

    - #### insertNewMaxExclusive

          public Facet insertNewMaxExclusive​(int i)

      Inserts and returns a new empty value (as xml) as the ith "maxExclusive" element
      Specified by:
        `insertNewMaxExclusive` in interface `RestrictionDocument.Restriction`

    - #### addNewMaxExclusive

          public Facet addNewMaxExclusive()

      Appends and returns a new empty value (as xml) as the last "maxExclusive" element
      Specified by:
        `addNewMaxExclusive` in interface `RestrictionDocument.Restriction`

    - #### removeMaxExclusive

          public void removeMaxExclusive​(int i)

      Removes the ith "maxExclusive" element
      Specified by:
        `removeMaxExclusive` in interface `RestrictionDocument.Restriction`

    - #### getMaxInclusiveList

          public List<Facet> getMaxInclusiveList()

      Gets a List of "maxInclusive" elements
      Specified by:
        `getMaxInclusiveList` in interface `RestrictionDocument.Restriction`

    - #### getMaxInclusiveArray

          public Facet[] getMaxInclusiveArray()

      Gets array of all "maxInclusive" elements
      Specified by:
        `getMaxInclusiveArray` in interface `RestrictionDocument.Restriction`

    - #### getMaxInclusiveArray

          public Facet getMaxInclusiveArray​(int i)

      Gets ith "maxInclusive" element
      Specified by:
        `getMaxInclusiveArray` in interface `RestrictionDocument.Restriction`

    - #### sizeOfMaxInclusiveArray

          public int sizeOfMaxInclusiveArray()

      Returns number of "maxInclusive" element
      Specified by:
        `sizeOfMaxInclusiveArray` in interface `RestrictionDocument.Restriction`

    - #### setMaxInclusiveArray

          public void setMaxInclusiveArray​(Facet[] maxInclusiveArray)

      Sets array of all "maxInclusive" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setMaxInclusiveArray` in interface `RestrictionDocument.Restriction`

    - #### setMaxInclusiveArray

          public void setMaxInclusiveArray​(int i,
                                           Facet maxInclusive)

      Sets ith "maxInclusive" element
      Specified by:
        `setMaxInclusiveArray` in interface `RestrictionDocument.Restriction`

    - #### insertNewMaxInclusive

          public Facet insertNewMaxInclusive​(int i)

      Inserts and returns a new empty value (as xml) as the ith "maxInclusive" element
      Specified by:
        `insertNewMaxInclusive` in interface `RestrictionDocument.Restriction`

    - #### addNewMaxInclusive

          public Facet addNewMaxInclusive()

      Appends and returns a new empty value (as xml) as the last "maxInclusive" element
      Specified by:
        `addNewMaxInclusive` in interface `RestrictionDocument.Restriction`

    - #### removeMaxInclusive

          public void removeMaxInclusive​(int i)

      Removes the ith "maxInclusive" element
      Specified by:
        `removeMaxInclusive` in interface `RestrictionDocument.Restriction`

    - #### getTotalDigitsList

          public List<TotalDigitsDocument.TotalDigits> getTotalDigitsList()

      Gets a List of "totalDigits" elements
      Specified by:
        `getTotalDigitsList` in interface `RestrictionDocument.Restriction`

    - #### getTotalDigitsArray

          public TotalDigitsDocument.TotalDigits[] getTotalDigitsArray()

      Gets array of all "totalDigits" elements
      Specified by:
        `getTotalDigitsArray` in interface `RestrictionDocument.Restriction`

    - #### getTotalDigitsArray

          public TotalDigitsDocument.TotalDigits getTotalDigitsArray​(int i)

      Gets ith "totalDigits" element
      Specified by:
        `getTotalDigitsArray` in interface `RestrictionDocument.Restriction`

    - #### sizeOfTotalDigitsArray

          public int sizeOfTotalDigitsArray()

      Returns number of "totalDigits" element
      Specified by:
        `sizeOfTotalDigitsArray` in interface `RestrictionDocument.Restriction`

    - #### setTotalDigitsArray

          public void setTotalDigitsArray​(TotalDigitsDocument.TotalDigits[] totalDigitsArray)

      Sets array of all "totalDigits" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setTotalDigitsArray` in interface `RestrictionDocument.Restriction`

    - #### setTotalDigitsArray

          public void setTotalDigitsArray​(int i,
                                          TotalDigitsDocument.TotalDigits totalDigits)

      Sets ith "totalDigits" element
      Specified by:
        `setTotalDigitsArray` in interface `RestrictionDocument.Restriction`

    - #### insertNewTotalDigits

          public TotalDigitsDocument.TotalDigits insertNewTotalDigits​(int i)

      Inserts and returns a new empty value (as xml) as the ith "totalDigits" element
      Specified by:
        `insertNewTotalDigits` in interface `RestrictionDocument.Restriction`

    - #### addNewTotalDigits

          public TotalDigitsDocument.TotalDigits addNewTotalDigits()

      Appends and returns a new empty value (as xml) as the last "totalDigits" element
      Specified by:
        `addNewTotalDigits` in interface `RestrictionDocument.Restriction`

    - #### removeTotalDigits

          public void removeTotalDigits​(int i)

      Removes the ith "totalDigits" element
      Specified by:
        `removeTotalDigits` in interface `RestrictionDocument.Restriction`

    - #### getFractionDigitsList

          public List<NumFacet> getFractionDigitsList()

      Gets a List of "fractionDigits" elements
      Specified by:
        `getFractionDigitsList` in interface `RestrictionDocument.Restriction`

    - #### getFractionDigitsArray

          public NumFacet[] getFractionDigitsArray()

      Gets array of all "fractionDigits" elements
      Specified by:
        `getFractionDigitsArray` in interface `RestrictionDocument.Restriction`

    - #### getFractionDigitsArray

          public NumFacet getFractionDigitsArray​(int i)

      Gets ith "fractionDigits" element
      Specified by:
        `getFractionDigitsArray` in interface `RestrictionDocument.Restriction`

    - #### sizeOfFractionDigitsArray

          public int sizeOfFractionDigitsArray()

      Returns number of "fractionDigits" element
      Specified by:
        `sizeOfFractionDigitsArray` in interface `RestrictionDocument.Restriction`

    - #### setFractionDigitsArray

          public void setFractionDigitsArray​(NumFacet[] fractionDigitsArray)

      Sets array of all "fractionDigits" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setFractionDigitsArray` in interface `RestrictionDocument.Restriction`

    - #### setFractionDigitsArray

          public void setFractionDigitsArray​(int i,
                                             NumFacet fractionDigits)

      Sets ith "fractionDigits" element
      Specified by:
        `setFractionDigitsArray` in interface `RestrictionDocument.Restriction`

    - #### insertNewFractionDigits

          public NumFacet insertNewFractionDigits​(int i)

      Inserts and returns a new empty value (as xml) as the ith "fractionDigits" element
      Specified by:
        `insertNewFractionDigits` in interface `RestrictionDocument.Restriction`

    - #### addNewFractionDigits

          public NumFacet addNewFractionDigits()

      Appends and returns a new empty value (as xml) as the last "fractionDigits" element
      Specified by:
        `addNewFractionDigits` in interface `RestrictionDocument.Restriction`

    - #### removeFractionDigits

          public void removeFractionDigits​(int i)

      Removes the ith "fractionDigits" element
      Specified by:
        `removeFractionDigits` in interface `RestrictionDocument.Restriction`

    - #### getLengthList

          public List<NumFacet> getLengthList()

      Gets a List of "length" elements
      Specified by:
        `getLengthList` in interface `RestrictionDocument.Restriction`

    - #### getLengthArray

          public NumFacet[] getLengthArray()

      Gets array of all "length" elements
      Specified by:
        `getLengthArray` in interface `RestrictionDocument.Restriction`

    - #### getLengthArray

          public NumFacet getLengthArray​(int i)

      Gets ith "length" element
      Specified by:
        `getLengthArray` in interface `RestrictionDocument.Restriction`

    - #### sizeOfLengthArray

          public int sizeOfLengthArray()

      Returns number of "length" element
      Specified by:
        `sizeOfLengthArray` in interface `RestrictionDocument.Restriction`

    - #### setLengthArray

          public void setLengthArray​(NumFacet[] lengthArray)

      Sets array of all "length" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setLengthArray` in interface `RestrictionDocument.Restriction`

    - #### setLengthArray

          public void setLengthArray​(int i,
                                     NumFacet length)

      Sets ith "length" element
      Specified by:
        `setLengthArray` in interface `RestrictionDocument.Restriction`

    - #### insertNewLength

          public NumFacet insertNewLength​(int i)

      Inserts and returns a new empty value (as xml) as the ith "length" element
      Specified by:
        `insertNewLength` in interface `RestrictionDocument.Restriction`

    - #### addNewLength

          public NumFacet addNewLength()

      Appends and returns a new empty value (as xml) as the last "length" element
      Specified by:
        `addNewLength` in interface `RestrictionDocument.Restriction`

    - #### removeLength

          public void removeLength​(int i)

      Removes the ith "length" element
      Specified by:
        `removeLength` in interface `RestrictionDocument.Restriction`

    - #### getMinLengthList

          public List<NumFacet> getMinLengthList()

      Gets a List of "minLength" elements
      Specified by:
        `getMinLengthList` in interface `RestrictionDocument.Restriction`

    - #### getMinLengthArray

          public NumFacet[] getMinLengthArray()

      Gets array of all "minLength" elements
      Specified by:
        `getMinLengthArray` in interface `RestrictionDocument.Restriction`

    - #### getMinLengthArray

          public NumFacet getMinLengthArray​(int i)

      Gets ith "minLength" element
      Specified by:
        `getMinLengthArray` in interface `RestrictionDocument.Restriction`

    - #### sizeOfMinLengthArray

          public int sizeOfMinLengthArray()

      Returns number of "minLength" element
      Specified by:
        `sizeOfMinLengthArray` in interface `RestrictionDocument.Restriction`

    - #### setMinLengthArray

          public void setMinLengthArray​(NumFacet[] minLengthArray)

      Sets array of all "minLength" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setMinLengthArray` in interface `RestrictionDocument.Restriction`

    - #### setMinLengthArray

          public void setMinLengthArray​(int i,
                                        NumFacet minLength)

      Sets ith "minLength" element
      Specified by:
        `setMinLengthArray` in interface `RestrictionDocument.Restriction`

    - #### insertNewMinLength

          public NumFacet insertNewMinLength​(int i)

      Inserts and returns a new empty value (as xml) as the ith "minLength" element
      Specified by:
        `insertNewMinLength` in interface `RestrictionDocument.Restriction`

    - #### addNewMinLength

          public NumFacet addNewMinLength()

      Appends and returns a new empty value (as xml) as the last "minLength" element
      Specified by:
        `addNewMinLength` in interface `RestrictionDocument.Restriction`

    - #### removeMinLength

          public void removeMinLength​(int i)

      Removes the ith "minLength" element
      Specified by:
        `removeMinLength` in interface `RestrictionDocument.Restriction`

    - #### getMaxLengthList

          public List<NumFacet> getMaxLengthList()

      Gets a List of "maxLength" elements
      Specified by:
        `getMaxLengthList` in interface `RestrictionDocument.Restriction`

    - #### getMaxLengthArray

          public NumFacet[] getMaxLengthArray()

      Gets array of all "maxLength" elements
      Specified by:
        `getMaxLengthArray` in interface `RestrictionDocument.Restriction`

    - #### getMaxLengthArray

          public NumFacet getMaxLengthArray​(int i)

      Gets ith "maxLength" element
      Specified by:
        `getMaxLengthArray` in interface `RestrictionDocument.Restriction`

    - #### sizeOfMaxLengthArray

          public int sizeOfMaxLengthArray()

      Returns number of "maxLength" element
      Specified by:
        `sizeOfMaxLengthArray` in interface `RestrictionDocument.Restriction`

    - #### setMaxLengthArray

          public void setMaxLengthArray​(NumFacet[] maxLengthArray)

      Sets array of all "maxLength" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setMaxLengthArray` in interface `RestrictionDocument.Restriction`

    - #### setMaxLengthArray

          public void setMaxLengthArray​(int i,
                                        NumFacet maxLength)

      Sets ith "maxLength" element
      Specified by:
        `setMaxLengthArray` in interface `RestrictionDocument.Restriction`

    - #### insertNewMaxLength

          public NumFacet insertNewMaxLength​(int i)

      Inserts and returns a new empty value (as xml) as the ith "maxLength" element
      Specified by:
        `insertNewMaxLength` in interface `RestrictionDocument.Restriction`

    - #### addNewMaxLength

          public NumFacet addNewMaxLength()

      Appends and returns a new empty value (as xml) as the last "maxLength" element
      Specified by:
        `addNewMaxLength` in interface `RestrictionDocument.Restriction`

    - #### removeMaxLength

          public void removeMaxLength​(int i)

      Removes the ith "maxLength" element
      Specified by:
        `removeMaxLength` in interface `RestrictionDocument.Restriction`

    - #### getEnumerationList

          public List<NoFixedFacet> getEnumerationList()

      Gets a List of "enumeration" elements
      Specified by:
        `getEnumerationList` in interface `RestrictionDocument.Restriction`

    - #### getEnumerationArray

          public NoFixedFacet[] getEnumerationArray()

      Gets array of all "enumeration" elements
      Specified by:
        `getEnumerationArray` in interface `RestrictionDocument.Restriction`

    - #### getEnumerationArray

          public NoFixedFacet getEnumerationArray​(int i)

      Gets ith "enumeration" element
      Specified by:
        `getEnumerationArray` in interface `RestrictionDocument.Restriction`

    - #### sizeOfEnumerationArray

          public int sizeOfEnumerationArray()

      Returns number of "enumeration" element
      Specified by:
        `sizeOfEnumerationArray` in interface `RestrictionDocument.Restriction`

    - #### setEnumerationArray

          public void setEnumerationArray​(NoFixedFacet[] enumerationArray)

      Sets array of all "enumeration" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setEnumerationArray` in interface `RestrictionDocument.Restriction`

    - #### setEnumerationArray

          public void setEnumerationArray​(int i,
                                          NoFixedFacet enumeration)

      Sets ith "enumeration" element
      Specified by:
        `setEnumerationArray` in interface `RestrictionDocument.Restriction`

    - #### insertNewEnumeration

          public NoFixedFacet insertNewEnumeration​(int i)

      Inserts and returns a new empty value (as xml) as the ith "enumeration" element
      Specified by:
        `insertNewEnumeration` in interface `RestrictionDocument.Restriction`

    - #### addNewEnumeration

          public NoFixedFacet addNewEnumeration()

      Appends and returns a new empty value (as xml) as the last "enumeration" element
      Specified by:
        `addNewEnumeration` in interface `RestrictionDocument.Restriction`

    - #### removeEnumeration

          public void removeEnumeration​(int i)

      Removes the ith "enumeration" element
      Specified by:
        `removeEnumeration` in interface `RestrictionDocument.Restriction`

    - #### getWhiteSpaceList

          public List<WhiteSpaceDocument.WhiteSpace> getWhiteSpaceList()

      Gets a List of "whiteSpace" elements
      Specified by:
        `getWhiteSpaceList` in interface `RestrictionDocument.Restriction`

    - #### getWhiteSpaceArray

          public WhiteSpaceDocument.WhiteSpace[] getWhiteSpaceArray()

      Gets array of all "whiteSpace" elements
      Specified by:
        `getWhiteSpaceArray` in interface `RestrictionDocument.Restriction`

    - #### getWhiteSpaceArray

          public WhiteSpaceDocument.WhiteSpace getWhiteSpaceArray​(int i)

      Gets ith "whiteSpace" element
      Specified by:
        `getWhiteSpaceArray` in interface `RestrictionDocument.Restriction`

    - #### sizeOfWhiteSpaceArray

          public int sizeOfWhiteSpaceArray()

      Returns number of "whiteSpace" element
      Specified by:
        `sizeOfWhiteSpaceArray` in interface `RestrictionDocument.Restriction`

    - #### setWhiteSpaceArray

          public void setWhiteSpaceArray​(WhiteSpaceDocument.WhiteSpace[] whiteSpaceArray)

      Sets array of all "whiteSpace" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setWhiteSpaceArray` in interface `RestrictionDocument.Restriction`

    - #### setWhiteSpaceArray

          public void setWhiteSpaceArray​(int i,
                                         WhiteSpaceDocument.WhiteSpace whiteSpace)

      Sets ith "whiteSpace" element
      Specified by:
        `setWhiteSpaceArray` in interface `RestrictionDocument.Restriction`

    - #### insertNewWhiteSpace

          public WhiteSpaceDocument.WhiteSpace insertNewWhiteSpace​(int i)

      Inserts and returns a new empty value (as xml) as the ith "whiteSpace" element
      Specified by:
        `insertNewWhiteSpace` in interface `RestrictionDocument.Restriction`

    - #### addNewWhiteSpace

          public WhiteSpaceDocument.WhiteSpace addNewWhiteSpace()

      Appends and returns a new empty value (as xml) as the last "whiteSpace" element
      Specified by:
        `addNewWhiteSpace` in interface `RestrictionDocument.Restriction`

    - #### removeWhiteSpace

          public void removeWhiteSpace​(int i)

      Removes the ith "whiteSpace" element
      Specified by:
        `removeWhiteSpace` in interface `RestrictionDocument.Restriction`

    - #### getPatternList

          public List<PatternDocument.Pattern> getPatternList()

      Gets a List of "pattern" elements
      Specified by:
        `getPatternList` in interface `RestrictionDocument.Restriction`

    - #### getPatternArray

          public PatternDocument.Pattern[] getPatternArray()

      Gets array of all "pattern" elements
      Specified by:
        `getPatternArray` in interface `RestrictionDocument.Restriction`

    - #### getPatternArray

          public PatternDocument.Pattern getPatternArray​(int i)

      Gets ith "pattern" element
      Specified by:
        `getPatternArray` in interface `RestrictionDocument.Restriction`

    - #### sizeOfPatternArray

          public int sizeOfPatternArray()

      Returns number of "pattern" element
      Specified by:
        `sizeOfPatternArray` in interface `RestrictionDocument.Restriction`

    - #### setPatternArray

          public void setPatternArray​(PatternDocument.Pattern[] patternArray)

      Sets array of all "pattern" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setPatternArray` in interface `RestrictionDocument.Restriction`

    - #### setPatternArray

          public void setPatternArray​(int i,
                                      PatternDocument.Pattern pattern)

      Sets ith "pattern" element
      Specified by:
        `setPatternArray` in interface `RestrictionDocument.Restriction`

    - #### insertNewPattern

          public PatternDocument.Pattern insertNewPattern​(int i)

      Inserts and returns a new empty value (as xml) as the ith "pattern" element
      Specified by:
        `insertNewPattern` in interface `RestrictionDocument.Restriction`

    - #### addNewPattern

          public PatternDocument.Pattern addNewPattern()

      Appends and returns a new empty value (as xml) as the last "pattern" element
      Specified by:
        `addNewPattern` in interface `RestrictionDocument.Restriction`

    - #### removePattern

          public void removePattern​(int i)

      Removes the ith "pattern" element
      Specified by:
        `removePattern` in interface `RestrictionDocument.Restriction`

    - #### getBase

          public QName getBase()

      Gets the "base" attribute
      Specified by:
        `getBase` in interface `RestrictionDocument.Restriction`

    - #### xgetBase

          public XmlQName xgetBase()

      Gets (as xml) the "base" attribute
      Specified by:
        `xgetBase` in interface `RestrictionDocument.Restriction`

    - #### isSetBase

          public boolean isSetBase()

      True if has "base" attribute
      Specified by:
        `isSetBase` in interface `RestrictionDocument.Restriction`

    - #### setBase

          public void setBase​(QName base)

      Sets the "base" attribute
      Specified by:
        `setBase` in interface `RestrictionDocument.Restriction`

    - #### xsetBase

          public void xsetBase​(XmlQName base)

      Sets (as xml) the "base" attribute
      Specified by:
        `xsetBase` in interface `RestrictionDocument.Restriction`

    - #### unsetBase

          public void unsetBase()

      Unsets the "base" attribute
      Specified by:
        `unsetBase` in interface `RestrictionDocument.Restriction`